@echo off

rem This is an example batch for using DVIPS32.EXE
rem The justification parameters can be found as follows
rem     cd \emtex\doc
rem     dvips adjust
rem Print 'adjust.ps' (by GhostScript) and adjust margins 
rem if necessary by dvips option -O ... , ... .
rem DON'T FORGET TO CHECK THE PAPERSIZE SETTING IN CONFIG.PS
rem
rem G. Sawade  [sawade@marie.physik.tu-berlin.de]
rem

SET DVIPSHEADERS=.:e:\emtex\ps;e:\gs\fonts
if exist dvips.mfj del dvips.mfj

:preset1
if '%EMTEXDRV%' == ''           set EMTEXDRV=E
if NOT '%EMTEXDIR%' == ''       goto preset2
set EMTEXDIR=%EMTEXDRV%:/EMTEX

:preset2
if NOT '%TEXCONFIG%' == ''      goto run
set TEXCONFIG=%EMTEXDIR%/PS
echo  dvips-warning:  TEXCONFIG is empty, set to %TEXCONFIG%


:run
dvips32 %1 %2 %3 %4 %5 %6 %7 %8 %9

if errorlevel 1 pause
